/**
 * react-table
 *
 * Copyright (c) TanStack
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */
import * as _tanstack_table_core from '@tanstack/table-core';
import { RowData, TableOptions } from '@tanstack/table-core';
export * from '@tanstack/table-core';
import * as React from 'react';

declare type Renderable<TProps> = React.ReactNode | React.ComponentType<TProps>;
declare function flexRender<TProps extends object>(Comp: Renderable<TProps>, props: TProps): React.ReactNode | JSX.Element;
declare function useReactTable<TData extends RowData>(options: TableOptions<TData>): _tanstack_table_core.Table<TData>;

export { Renderable, flexRender, useReactTable };
